Subject: Re: Back to B19 for now
From: [email-masked] (Enoch Wu)

12 Nov 1998 17:52:00 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked], [email-masked]

I have no luck on my Windows 98.  The revised line 1386 helped and it was
able to configure.  At the point where it was "creating fftw/config.h",
BASH just hangs.  At this point BASH responds to CTRL-C but doing so just
hosed the configure process. 

It appeared to fail at this place in the configure script:

echo creating "$ac_file"
  rm -f "$ac_file"
  configure_input="Generated automatically from `echo $ac_file_in|sed
's%.*/%%'` by configure."
  case "$ac_file" in
  *Makefile*) ac_comsub="1i\\
# $configure_input" ;;
  *) ac_comsub= ;;
  esac

BTW, is there a way to display every line that BASH executes -- I mean the
line number of the file that it is executing 'cause ./configure >config.lst
2>&1 does not show line numbers.

-EW

At 01:53 PM 11/11/98 -0800, Earnie Boyd wrote:
>
>I was able to build this package with b20 and Sergey's coolview
>update.  However, I had to remove the `exit 1' within the line at line
>number 1386 in the configure file.
>
>Modified line 1386:
>test -z "$LD" && { echo "configure: error: no acceptable ld found in
>\$PATH" 1>&
>2;  }
>
>As an alternative this line could be removed completely.
>
>The problem is that gcc -print-prog-name returns the absolute win32
>path instead of the absolute cygwin path.  This breaks the configure
>script.
>
>After modifying the configure script it ran to completion and then I
>ran make.  I have completed a few examples of the two test programs.
>
>BTW: This was on WinNT 3.51.
>
>---Enoch Wu <[email-masked]> wrote:
>>
>> Hi,
>> 
>> I'm glad I kept B19 when I installed B20.  I've remounted my drives
>for
>> B19.  I think B20 is an improvement over B19 once miscellaneous
>problems
>> are fixed. It only takes one glitch to knock out B20 but once the
>fixes are
>> in, I'd switch to B20.
>> 
>> B19 is great.  I was able to build the FFTW-2.0.1 right "out of the
>box"
>> and FFTW passed all rigorous tests.  FFTW is available at
>> http://theory.lcs.mit.edu/~fftw/ in case there is an interest.
>> 
>> Best Regards,
>> Enoch Wu
>> -
>> For help on using this list (especially unsubscribing), send a
>message to
>> "[email-masked]" with one line of text: "help".
>> 
>
>==
>-                  \\||//
>-------------o0O0--Earnie--0O0o--------------
>--          [email-masked]          --
>-- http://www.freeyellow.com/members5/gw32 --
>----------------ooo0O--O0ooo-----------------
>
>PS: Newbie's, you should visit my page.
>_________________________________________________________
>DO YOU YAHOO!?
>Get your free @yahoo.com address at http://mail.yahoo.com
>
>
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".